# linkymeter module
linkymeter is a pure python module which can collect power consumption data generated by Enedis smart meter 'linky'. 

## Pre-requisite: activate load curve recording on Enedis website
Module collects data from Enedis website.
You must first enable your enedis account (https://espace-client-particuliers.enedis.fr/group/espace-particuliers/) and the data collection ("Consommation" > "Gérer ma courbe de charge" > "Activer ma courbe de charge")

## How to install

### Debian packages to install
If you intend to use this module on a debian based linux distribution, and want to use python3 default installation, you need to install following packages.

    sudo apt-get install python3 python3-dateutil python3-requests

Then type

    python3 setup.py install

### Installation in a virtual environment
You can also install it in a dedicated virtual environment.

    python3 -m venv 
    source venv/bin/activate
    pip install .

## Usage

    import linkymeter
    import datetime
    from dateutil.relativedelta import relativedelta

    session = linkymeter.web.session.login(username,password)
    today = datetime.date.today()
    res_hour = session.get_hourly_consumption((today - relativedelta(days=7)), today)

## PS
If this project help you reduce time to develop, you can give me a cup of coffee :) 

